﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour DescriptionEdit.xaml
    /// </summary>
    public partial class DescriptionEdit : Window
    {
        public DescriptionEdit()
        {
            InitializeComponent();
        }

        public Manager Mgr => (Application.Current as App).LeManager;

        private Requin _requin;
        public Requin requin
        {
            get { return _requin; }
            set
            {
                _requin = value;
                uptadeUi(_requin);
            }
        }


        private Requin _requinOld;

        public Requin requinOld
        {
            get { return _requinOld;  }
            set
            {
                _requinOld = value;
                uptadeUiOld(_requinOld);
            }
        }

        private BitmapImage urlEnBitmap(string url)
        {
            var path = @url;
            BitmapImage bitmap = new BitmapImage();
            bitmap.BeginInit();
            bitmap.UriSource = new Uri(path, UriKind.Absolute);
            bitmap.EndInit();
            return bitmap;
        }


        public void uptadeUi(Requin requin)
        {
            string url = "Images/" + requin.StatutCons.ToString() + ".png";
            nameReq.Text = requin.Nom;
            sciName.Text = requin.NomSci;
            desc.Text = requin.Description;
            vid.Source = new Uri(requin.Video, UriKind.RelativeOrAbsolute);
            funFact.Text = requin.FunFact;
            consPic.Source = new BitmapImage(new Uri(url, UriKind.RelativeOrAbsolute));
            if (requin.Photo.Contains("Images/"))   //Vérifie si la photo vient d'internet ou du dossier
            {
                photo.Source = new BitmapImage(new Uri(requin.Photo, UriKind.RelativeOrAbsolute));
            }
            else
            {
                BitmapImage bitmap = new BitmapImage();
                bitmap = urlEnBitmap(requin.Photo);
                photo.Source = bitmap;
            }


            if (requin.PhotoCarte.Contains("Images/"))
            {
                cartePic.Source = new BitmapImage(new Uri(requin.PhotoCarte, UriKind.RelativeOrAbsolute));
            }
            else
            {
                BitmapImage bitmap = new BitmapImage();
                bitmap = urlEnBitmap(requin.PhotoCarte);
                cartePic.Source = bitmap;
            }
        }


        public void uptadeUiOld(Requin oldRequin)
        {
            string url = "Images/" + oldRequin.StatutCons.ToString() + ".png";
            nameReqOld.Text = oldRequin.Nom;
            sciNameOld.Text = oldRequin.NomSci;
            descOld.Text = oldRequin.Description;
            vidOld.Source = new Uri(oldRequin.Video, UriKind.Relative);
            funFactOld.Text = oldRequin.FunFact;
            consPicOld.Source = new BitmapImage(new Uri(url, UriKind.Relative));
            if (requin.Photo.Contains("Images/"))   //Vérifie si la photo vient d'internet ou du dossier
            {
                photoOld.Source = new BitmapImage(new Uri(requinOld.Photo, UriKind.RelativeOrAbsolute));
            }
            else
            {
                BitmapImage bitmap = new BitmapImage();
                bitmap = urlEnBitmap(requinOld.Photo);
                photoOld.Source = bitmap;
            }


            if (requin.PhotoCarte.Contains("Images/"))
            {
                cartePicOld.Source = new BitmapImage(new Uri(requinOld.PhotoCarte, UriKind.RelativeOrAbsolute));
            }
            else
            {
                BitmapImage bitmap = new BitmapImage();
                bitmap = urlEnBitmap(requinOld.PhotoCarte);
                cartePicOld.Source = bitmap;
            }
        }

            private void remplacer_Click(object sender, RoutedEventArgs e)
        {
            Mgr.ModifieRequin(requinOld, requin);
            Mgr.SupprimerRequinEdit(requin);
            Close();
        }

        private void garder_Click(object sender, RoutedEventArgs e)
        {
            Mgr.SupprimerRequinEdit(requin);
            Close();
        }

        private void exit_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
    }
}
